# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           maven-site-plugin
Version:        2.0.1
Release:        3%{?dist}
Epoch:          1
Summary:        Generate site for project
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-site-plugin/
%if 0
svn export http://svn.apache.org/viewvc/maven/plugins/tags/maven-site-plugin-2.0.1/ && tar cjf maven-site-plugin-2.0.1.tar.bz2 maven-site-plugin-2.0.1
%endif
Source0:        maven-site-plugin-%{version}.tar.bz2
Source1:        maven-site-plugin-settings.xml
Source2:        maven-site-plugin-jpp-depmap.xml
Patch0:         maven-site-plugin-SiteDescriptorAttachMojo-doxia-tools-1.0.patch
Patch1:         maven-site-plugin-pom.patch
Patch2:         maven-site-plugin-AbstractSiteMojo.patch
Obsoletes:      maven2-plugin-site <= 0:2.0.8
Provides:       maven2-plugin-site = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven2 >= 0:2.0.6
Requires:       maven-doxia-sitetools >= 0:1.0
Requires:       maven-doxia >= 0:1.0
Requires:       maven-shared-doxia-tools >= 0:1.0.1
Requires:       maven-wagon >= 0:1.0
Requires:       plexus-archiver >= 0:1.0
Requires:       plexus-container-default >= 0:1.0
Requires:       plexus-i18n >= 0:1.0
Requires:       plexus-utils >= 0:1.5.1
Requires:       jetty6 >= 0:6.1.5
Requires:       servlet_api >= 0:2.5
BuildRequires:  maven2 >= 0:2.0.6
BuildRequires:  maven-doxia-sitetools >= 0:1.0
BuildRequires:  maven-doxia >= 0:1.0
BuildRequires:  maven-shared-doxia-tools >= 0:1.0.1
BuildRequires:  maven-wagon >= 0:1.0
BuildRequires:  plexus-archiver >= 0:1.0
BuildRequires:  plexus-container-default >= 0:1.0
BuildRequires:  plexus-i18n >= 0:1.0
BuildRequires:  plexus-utils >= 0:1.5.1
BuildRequires:  jetty6 >= 0:6.1.5
BuildRequires:  servlet_api >= 0:2.5
BuildRequires:  maven-shared-plugin-testing-harness >= 0:1.2
BuildRequires:  java-devel
BuildRequires:  maven2-common-poms 
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-assembly
BuildRequires:  plexus-maven-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Site Plugin is used to generate a site for the project.
The generated site also includes the project's reports that
were configured in the <reporting> section of the POM.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p0 -b .sav2
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export MAVEN_SETTINGS=$(pwd)/settings.xml

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 target/maven-site-plugin-%{version}.jar  %{buildroot}%{_javadir}/maven-site-plugin-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# poms
install -Dpm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-maven-site-plugin.pom
%add_to_maven_depmap org.apache.maven.plugins maven-site-plugin %{version} JPP maven-site-plugin

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/maven-site-plugin-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-site-plugin-%{version}/
ln -s maven-site-plugin-%{version} %{buildroot}%{_javadocdir}/maven-site-plugin

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/maven-site-plugin-%{version}.jar
%{_javadir}*/maven-site-plugin.jar
%{_datadir}/maven2/poms/JPP-maven-site-plugin.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-site-plugin-%{version}
%{_javadocdir}/maven-site-plugin

%changelog
* Sun May 20 2015 Ralph Apel <r.apel@r-apel.de> 2.0.1-3
- Adapt to JPP6

* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 2.0.1-2
- fix typo in Requires

* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 2.0.1-1
- release
